package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemPresenterFieldRowEditDropDownBindingImpl extends ItemPresenterFieldRowEditDropDownBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final com.google.android.material.textfield.TextInputLayout mboundView0;
    @NonNull
    private final com.ustadmobile.port.android.view.CustomFieldAutoCompleteTextView mboundView1;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers
    private androidx.databinding.InverseBindingListener mboundView1selectedCustomFieldOptionAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of customFieldValue.customFieldValueCustomFieldValueOptionUid
            //         is customFieldValue.setCustomFieldValueCustomFieldValueOptionUid((long) callbackArg_0)
            long callbackArg_0 = com.ustadmobile.port.android.view.binding.CustomFieldDropDownAutoCompleteTextViewBindingsKt.getSelectedMessageIdOption(mboundView1);
            // localize variables for thread safety
            // customFieldValue.customFieldValueCustomFieldValueOptionUid
            long customFieldValueCustomFieldValueCustomFieldValueOptionUid = 0;
            // customFieldValue != null
            boolean customFieldValueJavaLangObjectNull = false;
            // customFieldValue
            com.ustadmobile.lib.db.entities.CustomFieldValue customFieldValue = mCustomFieldValue;



            customFieldValueJavaLangObjectNull = (customFieldValue) != (null);
            if (customFieldValueJavaLangObjectNull) {




                customFieldValue.setCustomFieldValueCustomFieldValueOptionUid(((long) (callbackArg_0)));
            }
        }
    };

    public ItemPresenterFieldRowEditDropDownBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 2, sIncludes, sViewsWithIds));
    }
    private ItemPresenterFieldRowEditDropDownBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            );
        this.mboundView0 = (com.google.android.material.textfield.TextInputLayout) bindings[0];
        this.mboundView0.setTag(null);
        this.mboundView1 = (com.ustadmobile.port.android.view.CustomFieldAutoCompleteTextView) bindings[1];
        this.mboundView1.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.customField == variableId) {
            setCustomField((com.ustadmobile.lib.db.entities.CustomField) variable);
        }
        else if (BR.customFieldValueOptions == variableId) {
            setCustomFieldValueOptions((java.util.List<com.ustadmobile.lib.db.entities.CustomFieldValueOption>) variable);
        }
        else if (BR.customFieldValue == variableId) {
            setCustomFieldValue((com.ustadmobile.lib.db.entities.CustomFieldValue) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setCustomField(@Nullable com.ustadmobile.lib.db.entities.CustomField CustomField) {
        this.mCustomField = CustomField;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.customField);
        super.requestRebind();
    }
    public void setCustomFieldValueOptions(@Nullable java.util.List<com.ustadmobile.lib.db.entities.CustomFieldValueOption> CustomFieldValueOptions) {
        this.mCustomFieldValueOptions = CustomFieldValueOptions;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.customFieldValueOptions);
        super.requestRebind();
    }
    public void setCustomFieldValue(@Nullable com.ustadmobile.lib.db.entities.CustomFieldValue CustomFieldValue) {
        this.mCustomFieldValue = CustomFieldValue;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.customFieldValue);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.CustomField customField = mCustomField;
        long customFieldValueCustomFieldValueCustomFieldValueOptionUid = 0;
        java.util.List<com.ustadmobile.lib.db.entities.CustomFieldValueOption> customFieldValueOptions = mCustomFieldValueOptions;
        com.ustadmobile.lib.db.entities.CustomFieldValue customFieldValue = mCustomFieldValue;

        if ((dirtyFlags & 0x9L) != 0) {
        }
        if ((dirtyFlags & 0xeL) != 0) {



                if (customFieldValue != null) {
                    // read customFieldValue.customFieldValueCustomFieldValueOptionUid
                    customFieldValueCustomFieldValueCustomFieldValueOptionUid = customFieldValue.getCustomFieldValueCustomFieldValueOptionUid();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x9L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setCustomFieldHint(this.mboundView0, customField);
        }
        if ((dirtyFlags & 0x8L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.CustomFieldDropDownAutoCompleteTextViewBindingsKt.setSelectedMessageIdListener(this.mboundView1, mboundView1selectedCustomFieldOptionAttrChanged);
        }
        if ((dirtyFlags & 0xeL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.CustomFieldDropDownAutoCompleteTextViewBindingsKt.setCustomFieldOptions(this.mboundView1, customFieldValueOptions, customFieldValueCustomFieldValueCustomFieldValueOptionUid);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): customField
        flag 1 (0x2L): customFieldValueOptions
        flag 2 (0x3L): customFieldValue
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}